#-------------------------------------------------------------------------------
#
# CONFIGURATION FILE FOR MENTAT-CONTROLLER.PY MODULE
#
#-------------------------------------------------------------------------------

{
    #---------------------------------------------------------------------------
    # Custom script configurations
    #---------------------------------------------------------------------------

    #
    # CONFIGURATIONS OF DESIRED MODULES
    #
    # Since the order matters, the best practice is to launch modules from top
    # to bottom, so that there is already a consumer waiting for processed messages.
    #
    "modules": [

        #
        # [CHAIN A: FINAL]: Module for storing messages into MongoDB database.
        #
        {
            "exec": "mentat-storage.py",
            # Enable multiple instances working the same queue directory
            #"paralel": true,
            # In case of paralel mode, you MUST set the required number of instances
            #"count": 3,
            "args": [
                # Enable debug information before daemonization
                #"--debug"
                # Force logging level ['debug', 'info', 'warning', 'error', 'critical']
                #"--log-level=debug"
            ]
        },

        #
        # [CHAIN A: FINAL]: Module for extracting enriched events into the second pipeline.
        #
        {
            "exec": "mentat-enriched_extractor.py",
            # Enable multiple instances working the same queue directory
            #"paralel": true,
            # In case of paralel mode, you MUST set the required number of instances
            #"count": 3,
            "args": [
                # Enable debug information before daemonization
                #"--debug"
                # Force logging level ['debug', 'info', 'warning', 'error', 'critical']
                #"--log-level=debug"
            ]
        },


        #
        # [CHAIN A]: Message enrichment module.
        #
        {
            "exec": "mentat-enricher.py",
            # Enable multiple instances working the same queue directory
            #"paralel": true,
            # In case of paralel mode, you MUST set the required number of instances
            #"count": 3,
            "args": [
                # Enable debug information before daemonization
                #"--debug"
                # Force logging level ['debug', 'info', 'warning', 'error', 'critical']
                #"--log-level=debug"
            ]
        },

        #
        # [CHAIN A: ENTRY]: Message inspection module
        #
        {
            "exec": "mentat-inspector.py",
            # Enable multiple instances working the same queue directory
            #"paralel": true,
            # In case of paralel mode, you MUST set the required number of instances
            #"count": 3,
            "args": [
                # Enable debug information before daemonization
                #"--debug"
                # Force logging level ['debug', 'info', 'warning', 'error', 'critical']
                #"--log-level=debug"
            ]
        },

        #
        # [CHAIN B: ENTRY FINAL]: Additional message inspection module
        #
        {
            "name": "mentat-inspector-b.py",
            "exec": "mentat-inspector.py",
            # Enable multiple instances working the same queue directory
            #"paralel": true,
            # In case of paralel mode, you MUST set the required number of instances
            #"count": 3,
            "args": [
                # Enable debug information before daemonization
                #"--debug"
                # Force logging level ['debug', 'info', 'warning', 'error', 'critical']
                #"--log-level=debug"
            ]
        }
    ],
    #
    # TODO: Following feature is not iplemented yet
    #
    "cronjobs": [

    ]
}
